.telegram-subscribe--right {
    display: flex;
    flex-direction: column;
    margin: 15px 0;
    padding: 15px 8px 15px;
    background-color: #2182C3;
    background-repeat: no-repeat;
    background-position: center bottom -80px;
    clear: both;
    overflow: hidden;
}

.telegram-subscribe--right .telegram-subscribe__info {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}

.telegram-subscribe--right .telegram-subscribe__poster {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    width: 100px;
    margin: 0 0 -10px -10px;
}

.telegram-subscribe--right .telegram-subscribe__poster-image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.telegram-subscribe--right .telegram-subscribe__title {
    font-size: 24px;
    line-height: 24px;
    font-weight: bold;
    word-break: break-word;
    color: #ffffff;
}

.telegram-subscribe--right .telegram-subscribe__subtitle {
    font-size: 20px;
    line-height: 24px;
    font-weight: bold;
    word-break: break-word;
    color: #ffffff;
}

.telegram-subscribe--right .telegram-subscribe__description {
    margin-bottom: 10px;
    font-size: 16px;
    line-height: 20px;
    text-align: center;
    color: #ffffff;
}

.telegram-subscribe--right .telegram-subscribe__description--desktop {
    display: none;
}

.telegram-subscribe--right .telegram-subscribe__buttons {
    margin: 0 auto;
}

.telegram-subscribe--right .telegram-subscribe__button {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    padding: 0 20px 0 5px;
    font-size: 18px;
    line-height: 21px;
    font-weight: bold;
    color: #3FA0E1;
    white-space: nowrap;
    text-decoration: none;
    background-color: #ffffff;
    border-radius: 5px;
}

.telegram-subscribe--right .telegram-subscribe__button:before {
    content: "";
    flex-shrink: 0;
    width: 36px;
    height: 36px;
    margin-right: 10px;
    background-position: center;
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml,%3Csvg width='36' height='36' viewBox='0 0 36 36' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M10 20.4642L13.2162 29.1857C13.2162 29.1857 13.6177 30 14.0473 30C14.4769 30 20.8811 23.4736 20.8811 23.4736L28 10L10.1164 18.214L10 20.4642Z' fill='%231A7AA5'/%3E%3Cpath d='M14.6626 22L14.0112 29.0406C14.0112 29.0406 13.7406 31.1993 15.8552 29.0406C17.9741 26.8819 20 25.2187 20 25.2187L14.6626 22Z' fill='%230D4D6A'/%3E%3Cpath d='M10.128 20.409L3.57965 18.3564C3.57965 18.3564 2.79639 18.0506 3.05085 17.3588C3.10254 17.2174 3.20591 17.0951 3.52001 16.8849C4.97122 15.914 30.3813 7.13061 30.3813 7.13061C30.3813 7.13061 31.097 6.89746 31.5224 7.05417C31.7172 7.12297 31.8405 7.20324 31.9438 7.49754C31.9836 7.60457 32.0035 7.83008 31.9995 8.05176C31.9955 8.2123 31.9756 8.36519 31.9597 8.59834C31.8047 10.9987 27.1727 28.9134 27.1727 28.9134C27.1727 28.9134 26.8944 29.9606 25.9044 29.9989C25.5426 30.0103 25.1013 29.9415 24.5765 29.5058C22.6283 27.8928 15.8931 23.5432 14.4061 22.5876C14.3226 22.5341 14.2987 22.4653 14.2828 22.3965C14.2629 22.2971 14.3743 22.171 14.3743 22.171C14.3743 22.171 26.0992 12.153 26.4094 11.1019C26.4332 11.0216 26.3418 10.9796 26.2185 11.014C25.4392 11.2892 11.941 19.484 10.45 20.3898C10.3705 20.4433 10.128 20.409 10.128 20.409Z' fill='%2336ADE2'/%3E%3C/svg%3E%0A");
}

.telegram-subscribe--right .telegram-subscribe__button:hover {
    background-color: #ededed;
}

/*** Responsive ***/

@media (min-width: 360px) {

    .telegram-subscribe--right {
        padding: 15px;
    }
}

@media (min-width: 576px) {

    .telegram-subscribe--right .telegram-subscribe__poster {
        width: 180px;
    }
}
@media (min-width: 768px) {
      .telegram-subscribe--right {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        position: relative;
        margin: 30px 0;
        padding: 10px 32px 10px 24px;
        background-position: right -15px center;
    }

    .telegram-subscribe--right .telegram-subscribe__info {
        margin-bottom: 10px;
    }

    .telegram-subscribe--right .telegram-subscribe__title,
    .telegram-subscribe--right .telegram-subscribe__subtitle,
    .telegram-subscribe--right .telegram-subscribe__description {
        max-width: 300px;
    }

    .telegram-subscribe--right .telegram-subscribe__title {
        font-size: 34px;
        line-height: 34px;
    }

    .telegram-subscribe--right .telegram-subscribe__description {
        margin: 10px 0 0;
        text-align: left;
    }

    .telegram-subscribe--right .telegram-subscribe__description--desktop {
        display: block;
    }

    .telegram-subscribe--right .telegram-subscribe__description--mobile {
        display: none;
    }

    .telegram-subscribe--right .telegram-subscribe__buttons {
        margin: 0 0 0 20px;
    }
}
